/*
 * chr.h - Part characteristics
 *
 * Copyright 2012 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef CHR_H
#define	CHR_H

#include "param.h"


void field_add(const char *name, const struct format *fmt);
const struct format *field_find(const char *name);
void field_mark(void);
void field_release(void);
void field_add_selector(enum relop relop, const char *word);
void field_more_selectors(void);
void field_add_wildcard(void);

#endif /* !CHR_H */
